## OCCAY App for career and educational guidance

[![License: CC BY-SA 4.0](https://img.shields.io/badge/License-CC%20BY--SA%204.0-lightgrey.svg?style=flat-square)](https://creativecommons.org/licenses/by-sa/4.0/)

OCCAY is a web application for career and educational guidance. It is based on
the [OCCAY Framework](https://app.occay.eu/).

## Security Vulnerabilities

If you discover a security vulnerability within the OCCAY App, please send an e-mail to Florian Brunner
via [info@bflow.at](mailto:info@bflow.at). All security vulnerabilities will be promptly addressed.

## License

- <p>
        <a href="https://app.occay.eu/" property="dct:title" rel="cc:attributionURL">OCCAY</a> &copy; 2023 <a
        href="https://bflow.at/" property="cc:attributionName" rel="cc:attributionURL dct:creator">Florian
        Brunner</a>. All rights reserved. Licensed under <a
        href="http://creativecommons.org/licenses/by-sa/4.0/?ref=chooser-v1"
        rel="license noopener noreferrer" style="display:inline-block;" target="_blank">CC BY-SA
        4.0<img class="inline-block" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1"
                style="height:22px!important;margin-left:3px;vertical-align:text-bottom;"><img class="inline-block"
                                                                                               src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1"
                                                                                               style="height:22px!important;margin-left:3px;vertical-align:text-bottom;"><img
            class="inline-block"
            src="https://mirrors.creativecommons.org/presskit/icons/sa.svg?ref=chooser-v1"
            style="height:22px!important;margin-left:3px;vertical-align:text-bottom;">
    </a> Licenced to the European Union under conditions.
    </p>
- Laravel framework is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).

Funded by the European Union. Views and opinions expressed are however those of the author(s) only and do not
necessarily reflect those of the European Union or the European Education and Culture Executive Agency (EACEA). Neither
the European Union nor EACEA can be held responsible for them.

