<?php

namespace App\Events;

use App\Models\Organization;
use App\Models\User;
use Illuminate\Foundation\Events\Dispatchable;

class ClientRegisteredEvent
{
    use Dispatchable;

    /**
     * Create a new event instance.
     *
     * @return void
     */
    public function __construct(Organization $organization, User $user, User $counselor, bool $notify = true)
    {
        $this->organization = $organization;
        $this->user = $user;
        $this->counselor = $counselor;
        $this->notify = $notify;
    }

}
