<?php

namespace App\Events;

use App\Models\Organization;
use App\Models\User;
use Illuminate\Foundation\Events\Dispatchable;

class UserCreatedEvent
{
    use Dispatchable;

    public function __construct(Organization $organization, User $user, string $role_name = '', User $counselor = null, string $password = null)
    {
        $this->organization = $organization;
        $this->user = $user;
        $this->role_name = $role_name;
        $this->counselor = $counselor;
        $this->password = $password;
    }

}
