<?php

namespace App\Http\Controllers;

use App\Http\Requests\SendMessageRequest;
use App\Models\Conversation;
use App\Models\Organization;
use App\Services\MessageService;

class MessageController extends Controller
{

    public function sendMessage(SendMessageRequest $request, Organization $organization, Conversation $conversation, MessageService $messageService)
    {

        $message = $messageService->createMessage($request->validated()['message'], $conversation, $organization);

        return redirect()->back();
    }
}
