<?php

namespace App\Observers;

use App\Models\ConversationAsset;

class ConversationAssetObserver
{
    public function creating(ConversationAsset $conversation_asset)
    {
        $conversation_asset->user()->associate( auth()->user()->id );
        $conversation_asset->organization()->associate( auth()->user()->currentOrganization->id );
    }
}
