<?php

namespace App\Observers;

use App\Models\ConversationNote;

class ConversationNoteObserver
{
    public function creating(ConversationNote $conversation_note)
    {
        $conversation_note->user()->associate(auth()->user()->id);
        $conversation_note->organization()->associate(auth()->user()->currentOrganization->id);
    }
}
