<?php

namespace App\Services;

use Carbon\Carbon;

class AppointmentService
{
    public function setStartEndTime($validated): array
    {
        $validated['start'] = Carbon::parse($validated['date'])
            ->setTime($validated['startTime']['hours'], $validated['startTime']['minutes'], $validated['startTime']['seconds'])
            ->format('Y-m-d H:i:s');

        $validated['end'] = Carbon::parse($validated['date'])
            ->setTime($validated['endTime']['hours'], $validated['endTime']['minutes'], $validated['endTime']['seconds'])
            ->format('Y-m-d H:i:s');

        unset($validated['date']);
        unset($validated['startTime']);
        unset($validated['endTime']);

        return $validated;
    }
}
