<?php

namespace Database\Factories;

use App\Models\KnowledgebaseCategory;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class KnowledgebaseCategoryFactory extends Factory
{
    protected $model = KnowledgebaseCategory::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'title' => $this->faker->words(2, true),
            'organization_id' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}
