<?php

namespace Database\Factories;

use App\Models\Message;
use Illuminate\Database\Eloquent\Factories\Factory;

class MessageFactory extends Factory
{
    protected $model = Message::class;

    public function definition(): array
    {
        return [
            'message' => $this->faker->text(random_int(20, 500)),
            'is_seen' => 0,
            'organization_id' => 1,
            'user_id' => 1,
            'conversation_id' => random_int(1, 5),
        ];
    }
}
