<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('competence_card_categories', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->string('accent_color')->nullable();
            $table->string('light_color')->nullable();
            $table->boolean('is_active')->default(true);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('competence_card_categories');
    }
};
