import {defineStore} from "pinia";

export const useConversationAssetStore = defineStore('conversationAsset', {
    state: () => ({
        item: null,
        showCreateConversationAssetModal: false,
        editConversationAsset: false,
    }),

    actions: {
        setConversationAsset(conversationAsset) {
            this.item = conversationAsset;
        },
        resetConversationAsset() {
            this.item = null;
        },

        setShowCreateConversationAssetModal(show) {
            this.showCreateConversationAssetModal = show;
            console.log('setShowCreateConversationAssetModal', this.showCreateConversationAssetModal)
        },

        setEditConversationAsset(edit) {
            this.editConversationAsset = edit;
        },

    },

});
