<?php

use Illuminate\Support\Facades\Broadcast;

/*
|--------------------------------------------------------------------------
| Broadcast Channels
|--------------------------------------------------------------------------
|
| Here you may register all of the event broadcasting channels that your
| application supports. The given channel authorization callbacks are
| used to check if an authenticated user can listen to the channel.
|
*/

/*Broadcast::channel('online.{organizationId}', function ($user, int $organizationId) {
    return Auth::check() && ($user->current_organization_id === $organizationId)
        ? ['id' => $user->id]
        : false;
});*/
Broadcast::channel('online.{conversationId}', function ($user, int $conversationId) {
    return Auth::check()
        ? ['id' => $user->id]
        : false;
});

Broadcast::channel('conversation.{conversationId}', function ($user, int $conversationId) {
    return Auth::check() && (auth()->user()->hasAnyRole(['organization-admin', 'super-admin']) || $user->id === \App\Models\Conversation::find($conversationId)->users()->find($user->id)->id);
});
