<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class DeleteCounselorAppointmentMiddleware
{
    public function handle(Request $request, Closure $next)
    {

        abort_if($request->appointment->counselor_id != auth()->user()->id && !auth()->user()->hasPermissionTo('delete_all_appointments'), 403);

        return $next($request);
    }
}
