<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreCompetenceCardRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'title'                     => ['nullable', 'string', 'max:255'],
            'description'               => ['nullable', 'string', 'max:3000'],
            'competence_card_category_id'    => ['nullable', 'integer'],
            'icon'                      => ['nullable', 'string', 'max:255'],
            'selected'                  => ['required', 'boolean'],
            'active'                    => ['required', 'boolean']
        ];
    }
}
