<?php

namespace App\Http\Requests;

use App\Rules\ArrayPositiveInteger;
use Illuminate\Foundation\Http\FormRequest;

class UpdateCompetenceCardSetRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'id' => ['required_if:method,PUT', 'integer', 'exists:conversation_assets,id'],
            'competence_card_set' => ['nullable', new ArrayPositiveInteger()],
        ];
    }
}
