<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\CompetenceCardCategory */
class CompetenceCardCategoryResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id'            => $this->id,
            'title'         => $this->title,
            'accent_color'  => $this->accent_color,
            'light_color'   => $this->light_color,
            'is_active'     => $this->is_active,
        ];
    }
}
