<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\CompetenceCard */
class CompetenceCardResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id'                            => $this->id,
            'title'                         => $this->title,
            'description'                   => $this->description,
            'competence_card_category_id'   => $this->competence_card_category_id,
            'competence_card_category'      => $this->whenLoaded('competence_card_category'),
            'media'                         => $this->whenLoaded('media', $this->getFirstMediaUrl('competence-card-icon')),
        ];
    }
}
