<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\UserMeta */
class UserMetaResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'street' => $this->street,
            'zip_code' => $this->zip_code,
            'city' => $this->city,
            'country' => $this->country,
            'birthday' => $this->birthday,
            'highest_education' => $this->highest_education,
            'job' => $this->job,
            'marital_status' => $this->marital_status,
            'children' => $this->children,
            'gender' => $this->gender,
            'goals' => $this->goals,
            'comments' => $this->comments,
        ];
    }
}
