<?php

namespace App\Services;

use App\Models\CompetenceCard;
use App\Models\ConversationAsset;

class CompetenceCardService
{
    public function getCompetenceCardSet(ConversationAsset $conversationAsset, $validatedRequest): array
    {

        $competenceCards = CompetenceCard::isActive()->get();

        return $conversationAsset->competence_card_set
            ? collect($conversationAsset->competence_card_set)->unique()->toArray()
            : $competenceCards->pluck('id')->unique()->toArray();

    }
}
