<?php

namespace App\Traits;

trait Tenantable
{
    public static function bootTenantable()
    {
        if ($user = auth()->user()) {
            /*static::creating(function ($model) use ($user) {
                $model->organization_id = $user->id;
            });*/

            //if (!$user->hasRole('super-admin')) {
            /*static::addGlobalScope('organization', function ($query) use ($user) {
                $organization_ids = $user->organizations()->pluck('id')->toArray();
                $query->where('organization_id', $organization_ids);
            });*/
            static::addGlobalScope('organization', function ($query) use ($user) {
                $organization_id = $user->currentOrganization->id;
                $query->where('organization_id', $organization_id);
            });
            //}
        }
    }
}
