<?php

namespace Database\Factories;

use App\Models\KnowledgebaseArticle;
use Illuminate\Database\Eloquent\Factories\Factory;

class KnowledgebaseArticleFactory extends Factory
{
    protected $model = KnowledgebaseArticle::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'organization_id' => 1,
            'title' => $this->faker->words(random_int(1, 4), true),
            'content' => $this->faker->text(random_int(20, 500)),
            'shareable' => $this->faker->boolean,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}
