<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('user_metas', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->cascadeOnUpdate()->cascadeOnDelete();
            $table->text('street')->nullable();
            $table->text('zip_code')->nullable();
            $table->text('city')->nullable();
            $table->text('country')->nullable();
            $table->text('birthday')->nullable();
            $table->longText('highest_education')->nullable();
            $table->longText('job')->nullable();
            $table->text('marital_status')->nullable();
            $table->text('children')->nullable();
            $table->text('gender')->nullable();
            $table->longText('goals')->nullable();
            $table->longText('comments')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }
};
