<?php

namespace Database\Seeders;

use App\Models\KnowledgebaseArticle;
use App\Models\KnowledgebaseCategory;
use Illuminate\Database\Seeder;

class KnowledgebaseArticleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $categories = KnowledgebaseCategory::factory(5)->create();

        KnowledgebaseArticle::factory(20)->create()->each(function($article) use ($categories) {
            $article->categories()->attach($categories->random());
        });

    }
}
